"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSignedBy = exports.SIGNED_BY_NO_ONE = exports.getSignersIndices = exports.getSignersNum = void 0;
function getSignersNum(signedByStr) {
    let signedBy = parseFloat(signedByStr);
    let amount = 0;
    for (; signedBy > 0; amount++) {
        signedBy &= signedBy - 1;
    }
    return amount;
}
exports.getSignersNum = getSignersNum;
function getSignersIndices(signedByStr) {
    let signedBy = parseFloat(signedByStr);
    const signerIndices = [];
    let signerNum = 0;
    let acceptedSigners = 0;
    for (; signedBy > 0; signerNum++) {
        if (signedBy % 2 == 1) {
            signerIndices[acceptedSigners] = signerNum;
            acceptedSigners++;
        }
        signedBy >>= 1;
    }
    return signerIndices;
}
exports.getSignersIndices = getSignersIndices;
exports.SIGNED_BY_NO_ONE = 0;
function getSignedBy(signerIndices) {
    let signedBy = 0;
    if (Array.isArray(signerIndices)) {
        for (const sIdx of signerIndices) {
            signedBy += 2 ** sIdx;
        }
    }
    else {
        signedBy = 2 ** signerIndices;
    }
    return signedBy.toString();
}
exports.getSignedBy = getSignedBy;
