"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChannelMode = void 0;
/**
 * Takes in when the channel finalizes and the current timestamp and determines the `ChannelMode`
 * @see https://docs.statechannels.org/docs/protocol-tutorial/understand-channel-storage/#channel-modes
 * @param finalizesAt The timestamp when the channel finalizes. 0 indicates no finalization.
 * @param now The current ethereum block timestamp
 */
function getChannelMode(finalizesAt, now) {
    if (finalizesAt == 0) {
        return 'Open';
    }
    else if (finalizesAt <= now) {
        return 'Finalized';
    }
    else {
        return 'Challenge';
    }
}
exports.getChannelMode = getChannelMode;
