import { Outcome } from './outcome';
import { State } from './state';
import { Bytes, Bytes32, Uint48 } from './types';
export interface ChannelData {
    turnNumRecord: Uint48;
    finalizesAt: Uint48;
    state?: State;
    outcome?: Outcome;
}
/**
 * Computes the on chain status from the supplied channelData
 * @param channelData
 * @returns the 32 byte "status" word that may be stored on chain for this channel
 */
export declare function channelDataToStatus(channelData: ChannelData): Bytes32;
export declare function parseStatus(status: Bytes32): {
    turnNumRecord: number;
    finalizesAt: number;
    fingerprint: Bytes;
};
export declare function encodeFingerprintPreimage(data: ChannelData): Bytes;
