import { FixedPart } from './state';
import { Bytes32 } from './types';
/**
 * Determines if the supplied 32 byte hex string represents an external destination (meaning funds will be paid _out_ of the adjudicator on chain)
 * @param bytes32 a destination
 * @returns true if the destination has 12 leading bytes as zero, false otherwise
 */
export declare function isExternalDestination(bytes32: Bytes32): boolean;
/**
 * Computes the unique id for the supplied channel
 * @param channel Parameters which determine the id
 * @returns a 32 byte hex string representing the id
 */
export declare function getChannelId(fixedPart: FixedPart): Bytes32;
