import { utils, Contract } from 'ethers';
import { State } from '../contract/state';
export declare const ForceMoveAppContractInterface: utils.Interface;
/**
 * Calls the valiTransition method on the supplied ForceMoveApp using eth_call
 * @param fromState a State
 * @param toState a State
 * @param appContract a ForceMoveApp contract address
 * @returns a Promise that resolves to a boolean
 */
export declare function validTransition(fromState: State, toState: State, appContract: Contract): Promise<boolean>;
/**
 * Encodes a validTransition method call as the data on an ethereum transaction. Useful for testing gas consumption of a ForceMoveApp.
 */
export declare function createValidTransitionTransaction(fromState: State, toState: State): {
    data: string;
};
