import * as ExitFormat from '@statechannels/exit-format';
import { BytesLike } from 'ethers';
import { Bytes32 } from './types';
export declare const MAX_OUTCOME_ITEMS = 600;
export type AssetOutcome = ExitFormat.SingleAssetExit;
/**
 * The part of a {@link State} which dictates how assets are redistributed when the channel closes
 */
export type Outcome = ExitFormat.Exit;
export type SimpleAllocation = ExitFormat.Allocation & {
    allocationType: ExitFormat.AllocationType.simple;
};
export type GuaranteeAllocation = ExitFormat.Allocation & {
    allocationType: ExitFormat.AllocationType.guarantee;
};
export type SingleAssetGuaranteeOutcome = AssetOutcome & {
    allocations: GuaranteeAllocation[];
};
export type GuaranteeOutcome = SingleAssetGuaranteeOutcome[];
export declare const encodeOutcome: typeof ExitFormat.encodeExit;
export declare const decodeOutcome: typeof ExitFormat.decodeExit;
/**
 * Encodes and hashes an Outcome
 * @param outcome an Outcome
 * @returns a 32 byte keccak256 hash
 */
export declare function hashOutcome(outcome: Outcome): Bytes32;
export interface Guarantee {
    left: Bytes32;
    right: Bytes32;
}
export declare function encodeGuaranteeData(guarantee: Guarantee): BytesLike;
export declare function decodeGuaranteeData(data: BytesLike): Guarantee;
