"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.decodeGuaranteeData = exports.encodeGuaranteeData = exports.hashOutcome = exports.decodeOutcome = exports.encodeOutcome = exports.MAX_OUTCOME_ITEMS = void 0;
const abi_1 = require("@ethersproject/abi");
const ExitFormat = __importStar(require("@statechannels/exit-format"));
const ethers_1 = require("ethers");
//
// CONSTANTS
//
exports.MAX_OUTCOME_ITEMS = 600;
//
// Functions
//
exports.encodeOutcome = ExitFormat.encodeExit;
exports.decodeOutcome = ExitFormat.decodeExit;
/**
 * Encodes and hashes an Outcome
 * @param outcome an Outcome
 * @returns a 32 byte keccak256 hash
 */
function hashOutcome(outcome) {
    const encodedOutcome = (0, exports.encodeOutcome)(outcome);
    return ethers_1.utils.keccak256(encodedOutcome);
}
exports.hashOutcome = hashOutcome;
function encodeGuaranteeData(guarantee) {
    return abi_1.defaultAbiCoder.encode(['tuple(bytes32 left, bytes32 right)'], [guarantee]);
}
exports.encodeGuaranteeData = encodeGuaranteeData;
function decodeGuaranteeData(data) {
    const result = abi_1.defaultAbiCoder.decode(['tuple(bytes32 left, bytes32 right)'], data);
    return { left: result[0][0], right: result[0][1] };
}
exports.decodeGuaranteeData = decodeGuaranteeData;
//
// Example Construction (unused, non-exported)
//
const A_ADDRESS = '0x00000000000000000000000096f7123E3A80C9813eF50213ADEd0e4511CB820f';
const B_ADDRESS = '0x00000000000000000000000053484E75151D07FfD885159d4CF014B874cd2810';
const exampleGuaranteeOutcome1 = [
    {
        asset: ethers_1.constants.AddressZero,
        assetMetadata: {
            assetType: ExitFormat.AssetType.Default,
            metadata: '0x',
        },
        allocations: [
            {
                destination: '0xjointchannel1',
                amount: '0xa',
                allocationType: ExitFormat.AllocationType.guarantee,
                metadata: encodeGuaranteeData({ left: B_ADDRESS, right: A_ADDRESS }),
            },
            {
                destination: '0xjointchannel2',
                amount: '0xa',
                allocationType: ExitFormat.AllocationType.guarantee,
                metadata: encodeGuaranteeData({ left: A_ADDRESS, right: B_ADDRESS }),
            },
        ],
    },
];
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const exampleGuaranteeOutcome2 = exampleGuaranteeOutcome1; // GuaranteeOutcome is assignable to Outcome
