import { Signature, ethers } from 'ethers';
import { State } from '../state';
interface CheckpointData {
    challengeState?: State;
    states: State[];
    signatures: Signature[];
    whoSignedWhat: number[];
}
export declare function createChallengeTransaction(states: State[], // in turnNum order [..,state-with-largestTurnNum]
signatures: Signature[], // in participant order: [sig-from-p0, sig-from-p1, ...]
whoSignedWhat: number[], challengerPrivateKey: string): ethers.providers.TransactionRequest;
export declare function createCheckpointTransaction({ states, signatures, whoSignedWhat, }: CheckpointData): ethers.providers.TransactionRequest;
export declare function checkpointArgs({ states, signatures, whoSignedWhat }: CheckpointData): any[];
export declare function createConcludeTransaction(states: State[], signatures: Signature[], whoSignedWhat: number[]): ethers.providers.TransactionRequest;
export declare function concludeArgs(states: State[], signatures: Signature[], whoSignedWhat: number[]): any[];
export {};
