import { ethers } from 'ethers';
export declare const NitroAdjudicatorContractInterface: ethers.utils.Interface;
/**
 * Crafts an ethers TransactionRequest targeting the adjudicator's deposit method, specifically for ETH deposits
 * @param destination The channelId to deposit into
 * @param expectedHeld The amount you expect to have already been deposited
 * @param amount The amount you intend to deposit
 * @returns the transaction request
 */
export declare function createETHDepositTransaction(destination: string, expectedHeld: string, amount: string): ethers.providers.TransactionRequest;
/**
 * Crafts an ethers TransactionRequest targeting the adjudicator's deposit method, specifically for ERC20 deposits
 * @param tokenAddress The ERC20 token contract address
 * @param destination The channelId to deposit into
 * @param expectedHeld The amount you expect to have already been deposited
 * @param amount The amount you intend to deposit
 * @returns the transaction request
 */
export declare function createERC20DepositTransaction(tokenAddress: string, destination: string, expectedHeld: string, amount: string): ethers.providers.TransactionRequest;
