"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodeVoucherAmountAndSignature = exports.signVoucher = void 0;
const utils_1 = require("ethers/lib/utils");
const signatures_1 = require("../signatures");
const voucherTy = {
    type: 'tuple',
    components: [
        { name: 'channelId', type: 'bytes32' },
        {
            name: 'amount',
            type: 'uint256',
        },
    ],
};
async function signVoucher(voucher, wallet) {
    return (0, signatures_1.sign)(wallet, (0, utils_1.keccak256)(utils_1.defaultAbiCoder.encode([voucherTy], [voucher])));
}
exports.signVoucher = signVoucher;
const voucherAmountAndSignatureTy = {
    type: 'tuple',
    components: [
        {
            name: 'amount',
            type: 'uint256',
        },
        {
            type: 'tuple',
            name: 'signature',
            components: [
                { name: 'v', type: 'uint8' },
                { name: 'r', type: 'bytes32' },
                { name: 's', type: 'bytes32' },
            ],
        },
    ],
};
function encodeVoucherAmountAndSignature(amount, signature) {
    return utils_1.defaultAbiCoder.encode([voucherAmountAndSignatureTy], [{ amount, signature }]);
}
exports.encodeVoucherAmountAndSignature = encodeVoucherAmountAndSignature;
